# Replace a custom field template

URL: /en/docs/api/v1/custom-fields/id/put
Last Updated: 2026-07-30T21:15:29.882Z

## Description
No description available.

## Available Actions
- Execute PUT request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### PUT /api/v1/custom-fields/{id}

**Replace a custom field template**

Fully replace a custom field template.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Path parameters:**

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | Yes |  |

**Request body** (`application/json`) - required:

- `title` (string)
- `collection` (enum: accounts | contacts)
- `type` (enum: text | number | boolean | date | select | multi_select | checkbox)
- `always_ask` (boolean)
- `required` (boolean)
- `display` (array of enum: header | document)
- `default_value` (string)
- `order` (integer (int32))
- `options` (array of CustomFieldOption (object))
  - `value` (string)
  - `label` (array of CustomFieldOptionLabel (object))
    - `languages_code` (enum: en-US | de-DE | fr-FR)
    - `translation` (string)
- `translations` (array of CustomFieldTranslation (object))
  - `languages_code` (enum: en-US | de-DE | fr-FR)
  - `title` (string)

**Responses:**

- `200` - Custom field template replaced
  - `success` (boolean)
  - `data` (CustomFieldTemplate (object))
    - `title` (string)
    - `collection` (enum: accounts | contacts)
    - `type` (enum: text | number | boolean | date | select | multi_select | checkbox)
    - `always_ask` (boolean)
    - `required` (boolean)
    - `display` (array of enum: header | document)
    - `default_value` (string)
    - `order` (integer (int32))
    - `options` (array of CustomFieldOption (object))
      - `value` (string)
      - `label` (array of CustomFieldOptionLabel (object))
        - `languages_code` (enum: en-US | de-DE | fr-FR)
        - `translation` (string)
    - `translations` (array of CustomFieldTranslation (object))
      - `languages_code` (enum: en-US | de-DE | fr-FR)
      - `title` (string)
- `400` - Bad Request - validation failed
- `401` - Unauthorized
- `403` - Forbidden - Admin role required
- `404` - Not found
- `500` - Internal server error

